Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5116)
@@ -12,7 +12,6 @@
 
       if (forcing_les .or. forcing_radconv                                      &
-     &    .or. forcing_GCSSold .or. forcing_fire) then
-
-      if (forcing_fire) then
+     &    .or. forcing_GCSSold .or. forcing_fire) THEN
+      if (forcing_fire) THEN
 !----------------------------------------------------------------------
 !read fire forcings from fire.nc
@@ -23,5 +22,5 @@
      &     ,ugprof,vgprof,wfls,dqtdxls                                          &
      &     ,dqtdyls,dqtdtls,thlpcar)
-      write(*,*) 'Forcing FIRE lu'
+      WRITE(*,*) 'Forcing FIRE lu'
       kmax=120            ! nombre de niveaux dans les profils et forcages
       else 
@@ -78,6 +77,6 @@
           print *,'k l height(k) height(k-1) zlay(l) frac=',k,l,height(k),height(k-1),zlay(l),frac
           frac = (height(k)-zlay(l))/(height(k)-height(k-1))
-          if(l==1) PRINT*,'k, height, tttprof',k,height(k),tttprof(k)
-          if(zlay(l)>height(k-1).and.zlay(l)<height(k)) then
+          IF(l==1) PRINT*,'k, height, tttprof',k,height(k),tttprof(k)
+          IF(zlay(l)>height(k-1).and.zlay(l)<height(k)) THEN
             ttt =tttprof(k)-frac*(tttprof(k)-tttprof(k-1))
        if ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
@@ -122,16 +121,16 @@
         temp(l)=max(min(temp(l),350.),150.)
         rho(l)  = play(l)/(rd*temp(l)*(1.+(rv/rd-1.)*q(l,1)))
-        if (l .lt. llm) then
+        if (l .lt. llm) THEN
           zlay(l+1) = zlay(l) + (play(l)-play(l+1))/(rg*rho(l))
         endif
         omega2(l)=-rho(l)*omega(l)
         omega(l)= omega(l)*(-rg*rho(l)) !en Pa/s
-        if (l>1) then
-        if(zlay(l-1)>height(kmax)) then
+        if (l>1) THEN
+        IF(zlay(l-1)>height(kmax)) THEN
            omega(l)=0.0
            omega2(l)=0.0
         endif   
         endif
-        if(q(l,1)<0.) q(l,1)=0.0
+        IF(q(l,1)<0.) q(l,1)=0.0
         q(l,2)  = 0.0
       enddo
@@ -142,5 +141,5 @@
 ! Forcing for GCSSold:
 !---------------------------------------------------------------------
-      if (forcing_GCSSold) then
+      if (forcing_GCSSold) THEN
        fich_gcssold_ctl = './forcing.ctl'
        fich_gcssold_dat = './forcing8.dat'
@@ -158,6 +157,5 @@
 ! Forcing for RICO:
 !---------------------------------------------------------------------
-      if (forcing_rico) then
-
+      if (forcing_rico) THEN
 !       CALL writefield_phy('omega', omega,llm+1)
       fich_rico = 'rico.txt'
@@ -187,6 +185,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_toga) then
-
+      if (forcing_toga) THEN
 ! read TOGA-COARE forcing (native vertical grid, nt_toga timesteps):
       fich_toga = './d_toga/ifa_toga_coare_v21_dime.txt'
@@ -195,8 +192,8 @@
      &         ,ht_toga,vt_toga,hq_toga,vq_toga)
 
-       write(*,*) 'Forcing TOGA lu'
+       WRITE(*,*) 'Forcing TOGA lu'
 
 ! time interpolation for initial conditions:
-      write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
+      WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
       CALL interp_toga_time(daytime,day1,annee_ref                          &
      &             ,year_ini_toga,day_ju_ini_toga,nt_toga,dt_toga           &
@@ -212,9 +209,9 @@
      &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
      &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
-       write(*,*) 'Profil initial forcing TOGA interpole'
+       WRITE(*,*) 'Profil initial forcing TOGA interpole'
 
 ! initial and boundary conditions :
       tsurf = ts_prof
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod(l)
@@ -239,5 +236,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_twpice) then
+      if (forcing_twpice) THEN
 !read TWP-ICE forcings
      fich_twpice='d_twpi/twp180iopsndgvarana_v2.1_C3.c1.20060117.000000.cdf'
@@ -246,7 +243,7 @@
      &     ,ht_twpi,vt_twpi,hq_twpi,vq_twpi)
 
-      write(*,*) 'Forcing TWP-ICE lu'
+      WRITE(*,*) 'Forcing TWP-ICE lu'
 !Time interpolation for initial conditions using TOGA interpolation routine
-         write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
+         WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1
       CALL interp_toga_time(daytime,day1,annee_ref                          &
      &          ,year_ini_twpi,day_ju_ini_twpi,nt_twpi,dt_twpi,nlev_twpi    &
@@ -258,5 +255,5 @@
 
 ! vertical interpolation using TOGA interpolation routine:
-!      write(*,*)'avant interp vert', t_proftwp
+!      WRITE(*,*)'avant interp vert', t_proftwp
       CALL interp_toga_vertical(play,nlev_twpi,plev_proftwp                 &
      &         ,t_proftwp,q_proftwp,u_proftwp,v_proftwp,w_proftwp           &
@@ -264,9 +261,9 @@
      &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
      &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
-!       write(*,*) 'Profil initial forcing TWP-ICE interpole',t_mod
+!       WRITE(*,*) 'Profil initial forcing TWP-ICE interpole',t_mod
 
 ! initial and boundary conditions :
 !      tsurf = ts_proftwp
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod(l)
@@ -293,9 +290,8 @@
 !---------------------------------------------------------------------
 
-      if (forcing_amma) then
-
+      if (forcing_amma) THEN
       CALL read_1D_cases
 
-      write(*,*) 'Forcing AMMA lu'
+      WRITE(*,*) 'Forcing AMMA lu'
 
 !champs initiaux:
@@ -315,5 +311,5 @@
       rho(:)=0.
 ! vertical interpolation using TOGA interpolation routine:
-!      write(*,*)'avant interp vert', t_proftwp
+!      WRITE(*,*)'avant interp vert', t_proftwp
       CALL interp_toga_vertical(play,nlev_amma,plev_amma                    &
      &         ,th_ammai,q_ammai,u_ammai,v_ammai,vitw_ammai                 &
@@ -321,9 +317,9 @@
      &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
      &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
-!       write(*,*) 'Profil initial forcing TWP-ICE interpole',t_mod
+!       WRITE(*,*) 'Profil initial forcing TWP-ICE interpole',t_mod
 
 ! initial and boundary conditions :
 !      tsurf = ts_proftwp
-      write(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
+      WRITE(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
       do l = 1, llm
 ! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
@@ -349,5 +345,5 @@
        dt_cooling(l)=0.
       enddo     
-       write(*,*) 'Prof initeforcing AMMA interpole temp39',temp(39)
+       WRITE(*,*) 'Prof initeforcing AMMA interpole temp39',temp(39)
       
 
@@ -364,5 +360,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_dice) then
+      if (forcing_dice) THEN
 !read DICE forcings
       fich_dice='dice_driver.nc'
@@ -373,5 +369,5 @@
      &     ,hu_dice,hv_dice,w_dice,omega_dice)
 
-      write(*,*) 'Forcing DICE lu'
+      WRITE(*,*) 'Forcing DICE lu'
 
 !champs initiaux:
@@ -393,5 +389,5 @@
       rho(:)=0.
 ! vertical interpolation using TOGA interpolation routine:
-!      write(*,*)'avant interp vert', t_proftwp
+!      WRITE(*,*)'avant interp vert', t_proftwp
 
 !     CALL interp_dice_time(daytime,day1,annee_ref
@@ -415,5 +411,5 @@
 !     omega_mod(:,:)=0.
 
-!       write(*,*) 'Profil initial forcing DICE interpole',t_mod
+!       WRITE(*,*) 'Profil initial forcing DICE interpole',t_mod
 ! Les forcages DICE sont donnes /jour et non /seconde !
       ht_mod(:)=ht_mod(:)/86400.
@@ -423,5 +419,5 @@
 
 ! initial and boundary conditions :
-      write(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
+      WRITE(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
       do l = 1, llm
 ! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
@@ -450,5 +446,5 @@
        dt_cooling(l)=0.
       enddo     
-       write(*,*) 'Profil initial forcing DICE interpole temp39',temp(39)
+       WRITE(*,*) 'Profil initial forcing DICE interpole temp39',temp(39)
       
 
@@ -479,5 +475,5 @@
 !!!! Si la temperature de surface n'est pas impos??e:
   
-      if (forcing_gabls4) then
+      if (forcing_gabls4) THEN
 !read GABLS4 forcings
       
@@ -488,5 +484,5 @@
      & ,plev_gabls4,th_gabls4,t_gabls4,qv_gabls4,u_gabls4,v_gabls4,ht_gabls4,hq_gabls4,tg_gabls4,tsnow_gabls4,snow_dens_gabls4)
 
-      write(*,*) 'Forcing GABLS4 lu'
+      WRITE(*,*) 'Forcing GABLS4 lu'
 
 !champs initiaux:
@@ -507,5 +503,5 @@
       rho(:)=0.
 ! vertical interpolation using TOGA interpolation routine:
-!      write(*,*)'avant interp vert', t_proftwp
+!      WRITE(*,*)'avant interp vert', t_proftwp
 
 !     CALL interp_dice_time(daytime,day1,annee_ref
@@ -530,5 +526,5 @@
 
 ! initial and boundary conditions :
-      write(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
+      WRITE(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
       do l = 1, llm
 ! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
@@ -590,12 +586,12 @@
 !---------------------------------------------------------------------
 
-      if (forcing_armcu) then
+      if (forcing_armcu) THEN
 ! read armcu forcing :
-       write(*,*) 'Avant lecture Forcing Arm_Cu'
+       WRITE(*,*) 'Avant lecture Forcing Arm_Cu'
       fich_armcu = './ifa_armcu.txt'
       CALL read_armcu(fich_armcu,nlev_armcu,nt_armcu,                       &
      & sens_armcu,flat_armcu,adv_theta_armcu,                               &
      & rad_theta_armcu,adv_qt_armcu)
-       write(*,*) 'Forcing Arm_Cu lu'
+       WRITE(*,*) 'Forcing Arm_Cu lu'
 
 !----------------------------------------------------------------------
@@ -615,5 +611,5 @@
 
 ! time interpolation for initial conditions:
-      write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
+      WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
 
       print *,'Avant interp_armcu_time'
@@ -631,5 +627,5 @@
      &            ,rad_theta_armcu,adv_qt_armcu,sens_prof,flat_prof         &
      &            ,adv_theta_prof,rad_theta_prof,adv_qt_prof)
-       write(*,*) 'Forcages interpoles dans temps'
+       WRITE(*,*) 'Forcages interpoles dans temps'
 
 ! No vertical interpolation if nlev imposed to 19 or 40
@@ -640,5 +636,5 @@
 !     tsurf = ts_prof
 ! tsurf read in lmdz1d.def
-      write(*,*) 'Tsurf initiale: ',tsurf
+      WRITE(*,*) 'Tsurf initiale: ',tsurf
       do l = 1, llm
        play(l)=play_mod(l)*100.
@@ -689,6 +685,6 @@
 !---------------------------------------------------------------------
 
-      if (forcing_sandu) then
-       write(*,*) 'Avant lecture Forcing SANDU'
+      if (forcing_sandu) THEN
+       WRITE(*,*) 'Avant lecture Forcing SANDU'
 
 ! read sanduref forcing :
@@ -696,5 +692,5 @@
       CALL read_sandu(fich_sandu,nlev_sandu,nt_sandu,ts_sandu)
 
-       write(*,*) 'Forcing SANDU lu'
+       WRITE(*,*) 'Forcing SANDU lu'
 
 !----------------------------------------------------------------------
@@ -707,5 +703,5 @@
 
 ! time interpolation for initial conditions:
-      write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
+      WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
 ! ATTENTION, cet appel ne convient pas pour le cas SANDU !!
 ! revoir 1DUTILS.h et les arguments
@@ -732,9 +728,9 @@
      &         ,t_mod,thl_mod,q_mod,u_mod,v_mod,w_mod                       &
      &         ,omega_mod,o3mmr_mod,mxcalc)
-       write(*,*) 'Profil initial forcing SANDU interpole'
+       WRITE(*,*) 'Profil initial forcing SANDU interpole'
 
 ! initial and boundary conditions :
       tsurf = ts_prof
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod(l)
@@ -763,6 +759,6 @@
 !---------------------------------------------------------------------
 
-      if (forcing_astex) then
-       write(*,*) 'Avant lecture Forcing Astex'
+      if (forcing_astex) THEN
+       WRITE(*,*) 'Avant lecture Forcing Astex'
 
 ! read astex forcing :
@@ -771,5 +767,5 @@
      &  ug_astex,vg_astex,ufa_astex,vfa_astex)
 
-       write(*,*) 'Forcing Astex lu'
+       WRITE(*,*) 'Forcing Astex lu'
 
 !----------------------------------------------------------------------
@@ -782,5 +778,5 @@
 
 ! time interpolation for initial conditions:
-      write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
+      WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
 ! ATTENTION, cet appel ne convient pas pour le cas SANDU !!
 ! revoir 1DUTILS.h et les arguments
@@ -808,9 +804,9 @@
      &         ,t_mod,thl_mod,qv_mod,ql_mod,qt_mod,u_mod,v_mod,w_mod        &
      &         ,tke_mod,o3mmr_mod,mxcalc)
-       write(*,*) 'Profil initial forcing Astex interpole'
+       WRITE(*,*) 'Profil initial forcing Astex interpole'
 
 ! initial and boundary conditions :
       tsurf = ts_prof
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod(l)
@@ -839,12 +835,11 @@
 !---------------------------------------------------------------------
 
-      if (forcing_case) then
-
-         write(*,*) 'avant CALL read_1D_cas'
+      if (forcing_case) THEN
+         WRITE(*,*) 'avant CALL read_1D_cas'
          CALL read_1D_cas
-         write(*,*) 'Forcing read'
+         WRITE(*,*) 'Forcing read'
 
 !Time interpolation for initial conditions using TOGA interpolation routine
-         write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
+         WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1
       CALL interp_case_time(day,day1,annee_ref                                                              &
 !    &         ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                                         &
@@ -862,5 +857,5 @@
 
 ! vertical interpolation using TOGA interpolation routine:
-!      write(*,*)'avant interp vert', t_prof
+!      WRITE(*,*)'avant interp vert', t_prof
       CALL interp_case_vertical(play,nlev_cas,plev_prof_cas            &
      &         ,t_prof_cas,q_prof_cas,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas,vitw_prof_cas    &
@@ -870,5 +865,5 @@
      &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas               &
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas,mxcalc)
-!       write(*,*) 'Profil initial forcing case interpole',t_mod
+!       WRITE(*,*) 'Profil initial forcing case interpole',t_mod
 
 ! initial and boundary conditions :
@@ -877,5 +872,5 @@
       tg= ts_prof_cas 
       psurf=plev_prof_cas(1)
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod_cas(l)
@@ -914,12 +909,11 @@
 !---------------------------------------------------------------------
 
-      if (forcing_case2) then
-
-         write(*,*) 'avant CALL read2_1D_cas'
+      if (forcing_case2) THEN
+         WRITE(*,*) 'avant CALL read2_1D_cas'
          CALL read2_1D_cas
-         write(*,*) 'Forcing read'
+         WRITE(*,*) 'Forcing read'
 
 !Time interpolation for initial conditions using interpolation routine
-         write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
+         WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1
         CALL interp2_case_time(daytime,day1,annee_ref                                       &
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
@@ -945,5 +939,5 @@
 
 ! vertical interpolation using interpolation routine:
-!      write(*,*)'avant interp vert', t_prof
+!      WRITE(*,*)'avant interp vert', t_prof
       CALL interp2_case_vertical(play,nlev_cas,plev_prof_cas                                              &
      &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
@@ -960,5 +954,5 @@
      &         ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
-!       write(*,*) 'Profil initial forcing case interpole',t_mod
+!       WRITE(*,*) 'Profil initial forcing case interpole',t_mod
 
 ! initial and boundary conditions :
@@ -967,5 +961,5 @@
       tg = ts_prof_cas 
       psurf=plev_prof_cas(1)
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod_cas(l)
@@ -1013,12 +1007,11 @@
 !---------------------------------------------------------------------
 
-      if (forcing_SCM) then
-
-         write(*,*) 'avant CALL old_read_SCM_cas'
+      if (forcing_SCM) THEN
+         WRITE(*,*) 'avant CALL old_read_SCM_cas'
          CALL old_read_SCM_cas
-         write(*,*) 'Forcing read' 
+         WRITE(*,*) 'Forcing read'
 
 !Time interpolation for initial conditions using interpolation routine
-         write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
+         WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1
         CALL interp2_case_time(daytime,day1,annee_ref                                       &
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
@@ -1044,5 +1037,5 @@
 
 ! vertical interpolation using interpolation routine:
-!      write(*,*)'avant interp vert', t_prof
+!      WRITE(*,*)'avant interp vert', t_prof
       CALL interp2_case_vertical(play,nlev_cas,plev_prof_cas                                              &
      &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
@@ -1059,5 +1052,5 @@
      &         ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
-!       write(*,*) 'Profil initial forcing case interpole',t_mod
+!       WRITE(*,*) 'Profil initial forcing case interpole',t_mod
 
 ! initial and boundary conditions :
@@ -1067,5 +1060,5 @@
       tg = ts_prof_cas 
       psurf=plev_prof_cas(1)
-      write(*,*) 'SST initiale: ',tsurf
+      WRITE(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod_cas(l)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5116)
@@ -5,5 +5,5 @@
 USE comvert_mod, ONLY: presnivs
 USE comvert_mod, ONLY:  preff, pa
-USE ioipsl, only: getin
+USE ioipsl, ONLY: getin
 
 
@@ -13,8 +13,8 @@
       INCLUDE "dimensions.h"
 
-real :: airefi
-real :: zcufi    = 1.
-real :: zcvfi    = 1.
-real :: rlat_rad(1),rlon_rad(1)
+REAL :: airefi
+REAL :: zcufi    = 1.
+REAL :: zcvfi    = 1.
+REAL :: rlat_rad(1),rlon_rad(1)
 
 integer ntime
@@ -103,19 +103,19 @@
 !         ierr    = severity of situation ( = 0 normal )
  
-      character(len=*) modname
+      CHARACTER(LEN=*) modname
       integer ierr
-      character(len=*) message
+      CHARACTER(LEN=*) message
  
-      write(*,*) 'in abort_gcm'
+      WRITE(*,*) 'in abort_gcm'
       CALL histclo
-      write(*,*) 'out of histclo'
-      write(*,*) 'Stopping in ', modname
-      write(*,*) 'Reason = ',message
+      WRITE(*,*) 'out of histclo'
+      WRITE(*,*) 'Stopping in ', modname
+      WRITE(*,*) 'Reason = ',message
       CALL getin_dump
 
-      if (ierr == 0) then
-        write(*,*) 'Everything is cool'
+      if (ierr == 0) THEN
+        WRITE(*,*) 'Everything is cool'
       else
-        write(*,*) 'Houston, we have a problem ', ierr
+        WRITE(*,*) 'Houston, we have a problem ', ierr
       endif
       STOP
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90	(revision 5116)
@@ -253,21 +253,21 @@
 !----------------------- Modif Olive calcul de PRHOA ---------------------------
 
-!write(*,*) "PZ0SEA ",PZ0SEA
-!write(*,*) "PTA ",PTA
-!write(*,*) "PSST ",PSST
-!write(*,*) "PQA ",PQA
-!write(*,*) "PVMOD ",PVMOD
-!write(*,*) "PZREF ",PZREF
-!write(*,*) "PUREF ",PUREF
-!write(*,*) "PPS ",PPS
-!write(*,*) "PPA ",PPA
-!write(*,*) "OPRECIP ",OPRECIP
-!write(*,*) "PZ0HSEA ",PZ0HSEA
-!write(*,*) "PRAIN ",PRAIN
+!WRITE(*,*) "PZ0SEA ",PZ0SEA
+!WRITE(*,*) "PTA ",PTA
+!WRITE(*,*) "PSST ",PSST
+!WRITE(*,*) "PQA ",PQA
+!WRITE(*,*) "PVMOD ",PVMOD
+!WRITE(*,*) "PZREF ",PZREF
+!WRITE(*,*) "PUREF ",PUREF
+!WRITE(*,*) "PPS ",PPS
+!WRITE(*,*) "PPA ",PPA
+!WRITE(*,*) "OPRECIP ",OPRECIP
+!WRITE(*,*) "PZ0HSEA ",PZ0HSEA
+!WRITE(*,*) "PRAIN ",PRAIN
 
 
 PRHOA(:) = PPS(:) / (287.1 * PTA(:) * (1.+.61*PQA(:)))
-!write(*,*) "klon klon ",klon,PTA
-!write(*,*) "PRHOA ",SIZE(PRHOA),PRHOA
+!WRITE(*,*) "klon klon ",klon,PTA
+!WRITE(*,*) "PRHOA ",SIZE(PRHOA),PRHOA
 
 PREF = 100900.                    ! = 1000 hPa
@@ -358,5 +358,5 @@
 ZVMOD = MAX(PVMOD , 0.1 * MIN(10.,PUREF) )    !set a minimum value to wind
 
-write(*,*) "ZVMOD ",SIZE(ZVMOD)
+WRITE(*,*) "ZVMOD ",SIZE(ZVMOD)
 
 !       2.0. Radiative fluxes - For warm layer & cool skin
@@ -386,14 +386,14 @@
 ZWORK2A    = XRD/XRV
 
-!write(*,*) "ZFOES ",ZFOES
-!write(*,*) "PPS ",PPS
-!write(*,*) "ZWORK1 ",ZWORK1
-!write(*,*) "XRD ",XRD
-!write(*,*) "XRV ",XRV
-!write(*,*) "PPA ",PPA
-!write(*,*) "ZWORK1A ",ZWORK1A
-
-write(*,*) "PQSAT : ",PQSAT
-write(*,*) "PQSATA : ",PQSATA
+!WRITE(*,*) "ZFOES ",ZFOES
+!WRITE(*,*) "PPS ",PPS
+!WRITE(*,*) "ZWORK1 ",ZWORK1
+!WRITE(*,*) "XRD ",XRD
+!WRITE(*,*) "XRV ",XRV
+!WRITE(*,*) "PPA ",PPA
+!WRITE(*,*) "ZWORK1A ",ZWORK1A
+
+WRITE(*,*) "PQSAT : ",PQSAT
+WRITE(*,*) "PQSATA : ",PQSATA
 
 !*       2.    COMPUTE SATURATION HUMIDITY
@@ -410,7 +410,7 @@
 ZDQ(:) = PQA(:)-PQSATA(:)
 
-write(*,*) "PQA ",PQA(:)
-write(*,*) "PQSAT",PQSAT(:)
-write(*,*) "ZDQ",ZDQ(:)
+WRITE(*,*) "PQA ",PQA(:)
+WRITE(*,*) "PQSAT",PQSAT(:)
+WRITE(*,*) "ZDQ",ZDQ(:)
 
 !       2.3. Latent heat of vaporisation
@@ -421,6 +421,6 @@
 
 
-write(*,*) "ZLVA ",ZLVA
-write(*,*) "ZLVS ",ZLVS
+WRITE(*,*) "ZLVA ",ZLVA
+WRITE(*,*) "ZLVS ",ZLVS
 
 
@@ -450,7 +450,7 @@
 ZDDQ(:) = SIGN(MAX(ABS(ZDDQ(:)),10.0*ZDQSR0),ZDDQ(:))
 
-write(*,*) "ZDDU ",ZDDU
-write(*,*) "ZDDQ ",ZDDQ
-write(*,*) "ZDDT ",ZDDT
+WRITE(*,*) "ZDDU ",ZDDU
+WRITE(*,*) "ZDDQ ",ZDDQ
+WRITE(*,*) "ZDDT ",ZDDT
 
 JCV (:) = -1
@@ -624,7 +624,7 @@
   ZEF(JLON)  = -PRHOA(JLON)*ZLVS(JLON)*ZUSR(JLON)*ZQSR(JLON)
 
-  write(*,*) "ZTAU = ",ZTAU(JLON)
-  write(*,*) "SENS = ",ZHF(JLON)
-  write(*,*) "LAT = ",ZEF(JLON)
+  WRITE(*,*) "ZTAU = ",ZTAU(JLON)
+  WRITE(*,*) "SENS = ",ZHF(JLON)
+  WRITE(*,*) "LAT = ",ZEF(JLON)
 
 !       4.2. Exchange coefficients PCD, PCH, PCE
@@ -634,7 +634,7 @@
   PCE(JLON) = (ZUSR(JLON)*ZQSR(JLON))/(ZDDU(JLON)*ZDDQ(JLON))
 
-  write(*,*) "ZUSR = ",ZUSR(JLON)
-  write(*,*) "ZTSR = ",ZTSR(JLON)
-  write(*,*) "ZQSR = ",ZQSR(JLON)
+  WRITE(*,*) "ZUSR = ",ZUSR(JLON)
+  WRITE(*,*) "ZTSR = ",ZTSR(JLON)
+  WRITE(*,*) "ZQSR = ",ZQSR(JLON)
 
 !       4.3. Stochastic perturbation of turbulent fluxes
@@ -753,9 +753,9 @@
 !ENDIF
 
-write(*,*) "JLON ",JLON
-write(*,*) "PTA ",klon,PTA
-write(*,*) "PCD ",SIZE(PCD),PCD
-write(*,*) "PCQ ",SIZE(PCE),PCE
-write(*,*) "PCH ",SIZE(PCH),PCH
+WRITE(*,*) "JLON ",JLON
+WRITE(*,*) "PTA ",klon,PTA
+WRITE(*,*) "PCD ",SIZE(PCD),PCD
+WRITE(*,*) "PCQ ",SIZE(PCE),PCE
+WRITE(*,*) "PCH ",SIZE(PCH),PCH
 
 coeffs = [PCD,&
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5116)
@@ -73,5 +73,5 @@
    DO k = 1, klev
    DO i = 1, klon
-     IF (fl_cor_ebil > 0) then
+     IF (fl_cor_ebil > 0) THEN
        ZRCPD = RCPD*(1.0+RVTMP2*(pqn(i,k)+pqln(i,k)+pqsn(i,k)))
      ELSE
@@ -165,5 +165,5 @@
 !----------------------------------------------------------------------------
 
-   if (iflag_ener_conserv==2) then
+   if (iflag_ener_conserv==2) THEN
       zu(:,:)=puo(:,:)
       zv(:,:)=pvo(:,:)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5116)
@@ -18,6 +18,6 @@
 
     !ONLINE:
-    use dimphy, only: klon, klev
-    use lmdz_assert, only: assert
+    use dimphy, ONLY: klon, klev
+    use lmdz_assert, ONLY: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5116)
@@ -9,9 +9,9 @@
 
 
-      real :: fsens
-      real :: flat
-      real :: betaevap
-      real :: ust
-      real :: tg
+      REAL :: fsens
+      REAL :: flat
+      REAL :: betaevap
+      REAL :: ust
+      REAL :: tg
 
       common /flux_arp/fsens,flat,betaevap,ust,tg,ok_flux_surf,ok_prescr_ust,ok_prescr_beta,ok_forc_tsurf
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5116)
@@ -507,10 +507,10 @@
                                 ,xtrun_off_lic_0(iso_eau,i) &
                                 ,'fonte_neige 413') &
-        == 1) then
+        == 1) THEN
           WRITE(*,*) 'i=',i
           STOP
         ENDIF
       ENDDO !DO i=1,klon
-    ENDIF !IF (iso_eau > 0) then 
+    ENDIF !IF (iso_eau > 0) THEN
 #endif    
 #endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5116)
@@ -6,5 +6,5 @@
 
     !ONLINE:
-    use dimphy, only: klon, klev
+    use dimphy, ONLY: klon, klev
 !    USE control, ONLY: nvm
 !    USE indice_sol_mod, ONLY: nvm_orch
@@ -96,17 +96,17 @@
       sumveg(i,k)= sumveg(i,k)+ veget(i,jv)
 
-!      if  ( (height(i,jv) .gt. yzlay(i,k)) .AND. (height(i,jv) .gt. 0.1) .and. LAI(i,jv).gt.0. ) then                     
-      if  ( (height(i,jv) > yzlay(i,k)) .AND. (height(i,jv) > 0.1) ) then
+!      if  ( (height(i,jv) .gt. yzlay(i,k)) .AND. (height(i,jv) .gt. 0.1) .and. LAI(i,jv).gt.0. ) THEN
+      if  ( (height(i,jv) > yzlay(i,k)) .AND. (height(i,jv) > 0.1) ) THEN
 !FC attention veut on le test sur le LAI ?
-         if (ifl_pbltree==1) then
+         if (ifl_pbltree==1) THEN
       drag_pro(i,k)= drag_pro(i,k)+ &
       veget(i,jv)
-          elseif (ifl_pbltree==2) then
+          elseif (ifl_pbltree==2) THEN
       drag_pro(i,k)= drag_pro(i,k)+ &
       6*LAI(i,jv)*veget(i,jv)*( yzlay(i,k)*(height(i,jv)-yzlay(i,k))/(height(i,jv)*height(i,jv)+ 0.01))
-          elseif (ifl_pbltree==3) then
+          elseif (ifl_pbltree==3) THEN
       drag_pro(i,k)= drag_pro(i,k)+ &
       veget(i,jv)*( yzlay(i,k)*(height(i,jv)-yzlay(i,k))/(height(i,jv)*height(i,jv)+ 0.01))
-          elseif (ifl_pbltree==0) then
+          elseif (ifl_pbltree==0) THEN
           drag_pro(i,k)=0.0
            endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90	(revision 5116)
@@ -5,5 +5,5 @@
   USE dimphy
   USE lmdz_phys_para
-  USE lmdz_grid_phy, only: grid_type, unstructured, regular_lonlat
+  USE lmdz_grid_phy, ONLY: grid_type, unstructured, regular_lonlat
   USE lmdz_abort_physic, ONLY: abort_physic
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5116)
@@ -6,7 +6,7 @@
 
   USE dimphy
-  USE lmdz_phys_para, only: is_sequential
-  USE lmdz_phys_transfert_para, only: reduce_sum
-  use lmdz_phys_mpi_data, only: is_mpi_root
+  USE lmdz_phys_para, ONLY: is_sequential
+  USE lmdz_phys_transfert_para, ONLY: reduce_sum
+  use lmdz_phys_mpi_data, ONLY: is_mpi_root
   USE ioipsl
   IMPLICIT NONE
@@ -20,6 +20,5 @@
   INTEGER :: i
 
-  if (is_sequential) then
-
+  if (is_sequential) THEN
    airetot = 0.
    sumtmp = 0.
@@ -29,5 +28,5 @@
    END DO
    if (laire) THEN
-    if(airetot/=0.) THEN
+    IF(airetot/=0.) THEN
      mfield=sumtmp/airetot
     endif
@@ -45,5 +44,5 @@
   if (laire) THEN
 !  PRINT*,'gmean airetot=',airetot
-   if(airetot/=0.) THEN
+   IF(airetot/=0.) THEN
     mfield=sumtmp/airetot
 !  else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5116)
@@ -9,13 +9,13 @@
 IMPLICIT NONE
 real, intent(in) :: lon_deg,lat_deg
-integer :: grid_index
+INTEGER :: grid_index
 integer i
 grid_index=0
 DO i=1,klon
-   if ( abs(lon_deg-longitude_deg(i)) < 0.02 .and.  abs(lat_deg-latitude_deg(i)) < 0.02 ) then
+   if ( abs(lon_deg-longitude_deg(i)) < 0.02 .and.  abs(lat_deg-latitude_deg(i)) < 0.02 ) THEN
         grid_index=i
         exit
    endif
 END DO
-return
+RETURN
 end
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90	(revision 5116)
@@ -524,5 +524,5 @@
     DO i = 1, knon
       IF (check(i) .OR. omegafl(i)) THEN
-        ! CC         if (pplay(i,k) .le. plcl(i)) then
+        ! CC         if (pplay(i,k) .le. plcl(i)) THEN
         zm(i) = z(i, k-1)
         zp(i) = z(i, k)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm_mod.F90	(revision 5116)
@@ -640,5 +640,5 @@
              zmzp = 0.5*(zm(i)+zp(i))
              ! debug
-             ! if (i.EQ.1864) then
+             ! if (i.EQ.1864) THEN
              ! PRINT*,'i,pblh(1864),obklen(1864)',i,pblh(i),obklen(i)
              ! endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/hines_gwd.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/hines_gwd.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/hines_gwd.F90	(revision 5116)
@@ -1609,5 +1609,5 @@
   END IF
 
-  ! If integral is negative (which in principal should not happen) then
+  ! If integral is negative (which in principal should not happen) THEN
   ! print a message and some info since execution will abort when calculating
   ! the variances.
